﻿@page
@model AquaWebApp.EditModel

@{
    ViewData["Title"] = "Edit";
}

<h4>Edit game</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <input type="hidden" asp-for="Game.Id" />
            <div class="form-group">
                <label asp-for="Game.Title" class="control-label"></label>
                <input asp-for="Game.Title" class="form-control" id="editGameTitle"/>
                <span asp-validation-for="Game.Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.PublicationYear" class="control-label"></label>
                <input asp-for="Game.PublicationYear" class="form-control" id="editGamePublicationYear"/>
                <span asp-validation-for="Game.PublicationYear" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.MinimumPlayers" class="control-label"></label>
                <input asp-for="Game.MinimumPlayers" class="form-control" id="editGameMinimumPlayers"/>
                <span asp-validation-for="Game.MinimumPlayers" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.MaximumPlayers" class="control-label"></label>
                <input asp-for="Game.MaximumPlayers" class="form-control" id="editGameMaximumPlayers"/>
                <span asp-validation-for="Game.MaximumPlayers" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Save" class="btn btn-primary" id="saveChanges"/>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="./Index" id="cancelEditGame">Cancel</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
